#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/clock.h>

const clock_frequency_t *Myfreq;

int main(void)
{
	dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "Sample OC for SH3/SH4 test add-in.");
	dupdate();
	getkey();

	Myfreq = clock_freq();


    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 1 :");
	dprint(1, 10, C_BLACK, "Init. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "Swch to F1 and wt5s" );
	dtext(1, 50, C_BLACK, "[press a key to start]");
	dupdate();
	getkey();

	clock_set_speed( CLOCK_SPEED_F1 );
	sleep_ms( 5000 );

    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 2 :");
	dprint(1, 10, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "Swch to F2 and wt5s" );
	dtext(1, 50, C_BLACK, "[press a key to start]");
	dupdate();
	getkey();

	clock_set_speed( CLOCK_SPEED_F2 );
	sleep_ms( 5000 );

    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 3 :");
	dprint(1, 10, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "Swch to F3 and wt5s" );
	dtext(1, 50, C_BLACK, "[press a key to start]");
	dupdate();
	getkey();

	clock_set_speed( CLOCK_SPEED_F3 );
	sleep_ms( 5000 );

    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 4 :");
	dprint(1, 10, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "Swch to F4 and wt5s" );
	dtext(1, 50, C_BLACK, "[press a key to start]");
	dupdate();
	getkey();

	clock_set_speed( CLOCK_SPEED_F4 );
	sleep_ms( 5000 );

    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 5 :");
	dprint(1, 10, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "Swch to F5 and wt5s" );
	dtext(1, 50, C_BLACK, "[press a key to start]");
	dupdate();
	getkey();

	clock_set_speed( CLOCK_SPEED_F5 );
	sleep_ms( 5000 );

    dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "STEP 6 :");
	dprint(1, 10, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 20, C_BLACK, "CPU Fq= %dMHz", Myfreq->Pphi_f );
	dprint(1, 30, C_BLACK, "Pphi div = %d", Myfreq->Pphi_div );
	dtext(1, 40,C_BLACK, "We are now at the END :D !!!" );
	dtext(1, 50, C_BLACK, "[press a key to exit]");	dupdate();
	getkey();

/*
	clock_set_speed( CLOCK_SPEED_F1 );
	//sleep_ms( 5000 );

    dclear(C_WHITE);
	dprint(1, 1, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 11, C_BLACK, "CK= %dkHz PL1=%d", Myfreq->CKIO_f/1000, Myfreq->PLL1 );	
	dprint(1, 21, C_BLACK, "If= %dkHz Idv=%d", Myfreq->Iphi_f/1000, Myfreq->Iphi_div );
	dprint(1, 31, C_BLACK, "Bf= %dkHz Bdv=%d", Myfreq->Bphi_f/1000, Myfreq->Bphi_div );
	dprint(1, 41, C_BLACK, "Pf= %dkHz Pdv=%d", Myfreq->Pphi_f/1000, Myfreq->Pphi_div );
	dtext(1, 55, C_BLACK, "[Next ...]");
	dupdate();
	getkey();



	clock_set_speed( CLOCK_SPEED_F2 );
	//sleep_ms( 5000 );

    dclear(C_WHITE);
	dprint(1, 1, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 11, C_BLACK, "CK= %dkHz PL1=%d", Myfreq->CKIO_f/1000, Myfreq->PLL1 );	
	dprint(1, 21, C_BLACK, "If= %dkHz Idv=%d", Myfreq->Iphi_f/1000, Myfreq->Iphi_div );
	dprint(1, 31, C_BLACK, "Bf= %dkHz Bdv=%d", Myfreq->Bphi_f/1000, Myfreq->Bphi_div );
	dprint(1, 41, C_BLACK, "Pf= %dkHz Pdv=%d", Myfreq->Pphi_f/1000, Myfreq->Pphi_div );
	dtext(1, 55, C_BLACK, "[Next ...]");
	dupdate();
	getkey();




	clock_set_speed( CLOCK_SPEED_F3 );
	//sleep_ms( 5000 );

    dclear(C_WHITE);
	dprint(1, 1, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 11, C_BLACK, "CK= %dkHz PL1=%d", Myfreq->CKIO_f/1000, Myfreq->PLL1 );	
	dprint(1, 21, C_BLACK, "If= %dkHz Idv=%d", Myfreq->Iphi_f/1000, Myfreq->Iphi_div );
	dprint(1, 31, C_BLACK, "Bf= %dkHz Bdv=%d", Myfreq->Bphi_f/1000, Myfreq->Bphi_div );
	dprint(1, 41, C_BLACK, "Pf= %dkHz Pdv=%d", Myfreq->Pphi_f/1000, Myfreq->Pphi_div );
	dtext(1, 55, C_BLACK, "[Next ...]");
	dupdate();
	getkey();




	clock_set_speed( CLOCK_SPEED_F4 );
	//sleep_ms( 5000 );

    dclear(C_WHITE);
	dprint(1, 1, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 11, C_BLACK, "CK= %dkHz PL1=%d", Myfreq->CKIO_f/1000, Myfreq->PLL1 );	
	dprint(1, 21, C_BLACK, "If= %dkHz Idv=%d", Myfreq->Iphi_f/1000, Myfreq->Iphi_div );
	dprint(1, 31, C_BLACK, "Bf= %dkHz Bdv=%d", Myfreq->Bphi_f/1000, Myfreq->Bphi_div );
	dprint(1, 41, C_BLACK, "Pf= %dkHz Pdv=%d", Myfreq->Pphi_f/1000, Myfreq->Pphi_div );
	dtext(1, 55, C_BLACK, "[Next ...]");
	dupdate();
	getkey();




	clock_set_speed( CLOCK_SPEED_F5 );
	//sleep_ms( 5000 );

    dclear(C_WHITE);
	dprint(1, 1, C_BLACK, "Curr. OC Param = F%d.", clock_get_speed() );
	dprint(1, 11, C_BLACK, "CK= %dkHz PL1=%d", Myfreq->CKIO_f/1000, Myfreq->PLL1 );	
	dprint(1, 21, C_BLACK, "If= %dkHz Idv=%d", Myfreq->Iphi_f/1000, Myfreq->Iphi_div );
	dprint(1, 31, C_BLACK, "Bf= %dkHz Bdv=%d", Myfreq->Bphi_f/1000, Myfreq->Bphi_div );
	dprint(1, 41, C_BLACK, "Pf= %dkHz Pdv=%d", Myfreq->Pphi_f/1000, Myfreq->Pphi_div );
	dtext(1, 55, C_BLACK, "[Finished ...]");
	dupdate();
	getkey();


*/
	return 1;
}
